For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETList all tags.
      • POSTCreate a new tag.
      • GETList all tags of a given type.
      • GETGet a tag by type and value.
      • DELDelete a tag.
      • GETGet all tag types
      • POSTCreate a tag type
      • POSTValidate a tag type
      • GETGet a tag type
      • PUTUpdate a tag type
      • DELDelete a tag type
      • PUTAdds a tag to the specified features
13.5kProductPricingSign inStart free trialBook a demo
Admin APITags

Create a tag type

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/tag-types
POST
/api/admin/tag-types
$curl -X POST https://app.unleash-instance.example.com/api/admin/tag-types \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "color"
>}'
1{
2 "name": "color",
3 "description": "A tag type for describing the color of a tag.",
4 "icon": "not-really-used",
5 "color": "#FFFFFF"
6}
Create a new tag type.
Was this page helpful?
Previous

Validate a tag type

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

tagTypeSchema
namestringRequired
The name of the tag type.
descriptionstringOptional
The description of the tag type.
iconstring or nullOptional
The icon of the tag type.
colorstring or nullOptionalformat: "^#[0-9A-Fa-f]{6}$"
The hexadecimal color code for the tag type.

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
namestring
The name of the tag type.
descriptionstring
The description of the tag type.
iconstring or null
The icon of the tag type.
colorstring or nullformat: "^#[0-9A-Fa-f]{6}$"
The hexadecimal color code for the tag type.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
415
Unsupported Media Type Error